ORIGIN = PWB
ORIGIN_VER = 2.1.49
PROJ = int6f
PROJFILE = int6f.mak
DEBUG = 0

BSCMAKE  = bscmake
SBRPACK  = sbrpack
NMAKEBSC1  = set
NMAKEBSC2  = nmake
ASM  = ml
H2INC  = h2inc
AFLAGS_G  = /Cp /W2 /AT /Zm
AFLAGS_D  = /Zi
AFLAGS_R  =  /nologo
MAPFILE_D  = NUL
MAPFILE_R  = NUL
LFLAGS_G  = /NOI /NOE /TINY /BATCH /ONERROR:NOEXE
LFLAGS_D  = /CO /FAR
LFLAGS_R  = /FAR /NOPACKC
LINKER	= link
ILINK  = ilink
LRF  = echo > NUL
ILFLAGS  = /a /e

FILES  = INT6F.ASM NWDRVN.ASM NWSNDN.ASM ZPROC.ASM
OBJS  = INT6F.obj NWDRVN.obj NWSNDN.obj ZPROC.obj
SBRS  = INT6F.sbr NWDRVN.sbr NWSNDN.sbr ZPROC.sbr

all: $(PROJ).com

.SUFFIXES:
.SUFFIXES:
.SUFFIXES: .obj .sbr .asm

INT6F.obj : INT6F.ASM
!IF $(DEBUG)
	$(ASM) /c $(AFLAGS_G) $(AFLAGS_D) /FoINT6F.obj INT6F.ASM
!ELSE
	$(ASM) /c $(AFLAGS_G) $(AFLAGS_R) /FoINT6F.obj INT6F.ASM
!ENDIF

INT6F.sbr : INT6F.ASM
!IF $(DEBUG)
	$(ASM) /Zs $(AFLAGS_G) $(AFLAGS_D) /FRINT6F.sbr INT6F.ASM
!ELSE
	$(ASM) /Zs $(AFLAGS_G) $(AFLAGS_R) /FRINT6F.sbr INT6F.ASM
!ENDIF

NWDRVN.obj : NWDRVN.ASM c:\lu62\novell\inc\ipxhdr.inc\
	c:\lu62\novell\inc\seg.inc c:\lu62\novell\inc\drvicr.inc\
	c:\m61\include\macros.inc
!IF $(DEBUG)
	$(ASM) /c $(AFLAGS_G) $(AFLAGS_D) /FoNWDRVN.obj NWDRVN.ASM
!ELSE
	$(ASM) /c $(AFLAGS_G) $(AFLAGS_R) /FoNWDRVN.obj NWDRVN.ASM
!ENDIF

NWDRVN.sbr : NWDRVN.ASM c:\lu62\novell\inc\ipxhdr.inc\
	c:\lu62\novell\inc\seg.inc c:\lu62\novell\inc\drvicr.inc\
	c:\m61\include\macros.inc
!IF $(DEBUG)
	$(ASM) /Zs $(AFLAGS_G) $(AFLAGS_D) /FRNWDRVN.sbr NWDRVN.ASM
!ELSE
	$(ASM) /Zs $(AFLAGS_G) $(AFLAGS_R) /FRNWDRVN.sbr NWDRVN.ASM
!ENDIF

NWSNDN.obj : NWSNDN.ASM c:\lu62\novell\inc\ipxhdr.inc\
	c:\lu62\novell\inc\seg.inc
!IF $(DEBUG)
	$(ASM) /c $(AFLAGS_G) $(AFLAGS_D) /FoNWSNDN.obj NWSNDN.ASM
!ELSE
	$(ASM) /c $(AFLAGS_G) $(AFLAGS_R) /FoNWSNDN.obj NWSNDN.ASM
!ENDIF

NWSNDN.sbr : NWSNDN.ASM c:\lu62\novell\inc\ipxhdr.inc\
	c:\lu62\novell\inc\seg.inc
!IF $(DEBUG)
	$(ASM) /Zs $(AFLAGS_G) $(AFLAGS_D) /FRNWSNDN.sbr NWSNDN.ASM
!ELSE
	$(ASM) /Zs $(AFLAGS_G) $(AFLAGS_R) /FRNWSNDN.sbr NWSNDN.ASM
!ENDIF

ZPROC.obj : ZPROC.ASM c:\m61\include\dos.inc c:\m61\include\macros.inc
!IF $(DEBUG)
	$(ASM) /c $(AFLAGS_G) $(AFLAGS_D) /FoZPROC.obj ZPROC.ASM
!ELSE
	$(ASM) /c $(AFLAGS_G) $(AFLAGS_R) /FoZPROC.obj ZPROC.ASM
!ENDIF

ZPROC.sbr : ZPROC.ASM c:\m61\include\dos.inc c:\m61\include\macros.inc
!IF $(DEBUG)
	$(ASM) /Zs $(AFLAGS_G) $(AFLAGS_D) /FRZPROC.sbr ZPROC.ASM
!ELSE
	$(ASM) /Zs $(AFLAGS_G) $(AFLAGS_R) /FRZPROC.sbr ZPROC.ASM
!ENDIF


$(PROJ).bsc : $(SBRS)
	$(BSCMAKE) @<<
$(BRFLAGS) $(SBRS)
<<

$(PROJ).com : $(OBJS)
!IF $(DEBUG)
	$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_D)
$(LIBS: = +^
) +
$(LLIBS_G: = +^
) +
$(LLIBS_D: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_D);
<<
!ELSE
	$(LRF) @<<$(PROJ).lrf
$(RT_OBJS: = +^
) $(OBJS: = +^
)
$@
$(MAPFILE_R)
$(LIBS: = +^
) +
$(LLIBS_G: = +^
) +
$(LLIBS_R: = +^
)
$(DEF_FILE) $(LFLAGS_G) $(LFLAGS_R);
<<
!ENDIF
	$(LINKER) @$(PROJ).lrf


.asm.obj :
!IF $(DEBUG)
	$(ASM) /c $(AFLAGS_G) $(AFLAGS_D) /Fo$@ $<
!ELSE
	$(ASM) /c $(AFLAGS_G) $(AFLAGS_R) /Fo$@ $<
!ENDIF

.asm.sbr :
!IF $(DEBUG)
	$(ASM) /Zs $(AFLAGS_G) $(AFLAGS_D) /FR$@ $<
!ELSE
	$(ASM) /Zs $(AFLAGS_G) $(AFLAGS_R) /FR$@ $<
!ENDIF


run: $(PROJ).com
	$(PROJ).com $(RUNFLAGS)

debug: $(PROJ).com
	CV $(CVFLAGS) $(PROJ).com $(RUNFLAGS)
